/*
 * Copyright (C), 2015-2019
 * FileName: ConfigSln4062
 * Author:   Louis
 * Date:     2019/6/5 16:13
 * Description: ConfigSln4062
 * History:
 * <author>          <time>          <version>          <desc>
 */
package com.fr.plugin.tabledataservice;

import com.fanruan.api.util.StringKit;
import com.fr.config.*;
import com.fr.config.holder.Conf;
import com.fr.config.holder.factory.Holders;
import com.fr.intelli.record.Focus;
import com.fr.intelli.record.Original;
import com.fr.stable.StringUtils;

/**
 * 〈Function Description〉<br> 
 * 〈ConfigSln4062〉
 *
 * @author Louis
 * @since 1.0.0
 */
@Visualization(category = "Plugin-tabledataservice_Group")
public class ConfigTableDataService extends DefaultConfiguration {

    public static final String DEFAULT_APPKEY = StringUtils.EMPTY;

    private static volatile ConfigTableDataService config = null;

    @Identifier(value = "appKey", name = "Plugin-tabledataservice_Config_AppKey", description = "Plugin-tabledataservice_Config_AppKey_Description", status = Status.SHOW)
    private final Conf<String> appKey = Holders.simple(DEFAULT_APPKEY);
    //弹性平台sm2公钥
    @Identifier(value = "iqbPublicKey", name = "Plugin-tabledataservice_Config_IqbPublicKey", description = "Plugin-tabledataservice_Config_IqbPublicKey_Description", status = Status.SHOW)
    private final Conf<String> iqbPublicKey = Holders.simple(StringKit.EMPTY);
    //可视化sm2私钥
    @Identifier(value = "visualPrivateKey", name = "Plugin-tabledataservice_Config_VisualPrivateKey", description = "Plugin-tabledataservice_Config_VisualPrivateKey_Description", status = Status.SHOW)
    private final Conf<String> visualPrivateKey = Holders.simple(StringKit.EMPTY);
    // 可视化appId
    @Identifier(value = "visualAppId", name = "Plugin-tabledataservice_Config_VisualAppId", description = "Plugin-tabledataservice_Config_VisualAppId_Description", status = Status.SHOW)
    private final Conf<String> visualAppId = Holders.simple(StringKit.EMPTY);

    @Focus(id = Constants.PLUGIN_ID, text = "Plugin-tabledataservice", source = Original.PLUGIN)
    public static ConfigTableDataService getInstance() {
        if (config == null) {
            config = ConfigContext.getConfigInstance(ConfigTableDataService.class);
        }
        return config;
    }

    public String getAppKey() {
        return appKey.get();
    }

    public void setAppKey(String appKey) {
        this.appKey.set(appKey);
    }

    public String getIqbPublicKey() {
        return iqbPublicKey.get();
    }

    public void setIqbPublicKey(String iqbPublicKey) {
        this.iqbPublicKey.set(iqbPublicKey);
    }

    public String getVisualPrivateKey() {
        return visualPrivateKey.get();
    }

    public void setVisualPrivateKey(String visualPrivateKey) {
        this.visualPrivateKey.set(visualPrivateKey);
    }

    public String getVisualAppId() {
        return visualAppId.get();
    }

    public void setVisualAppId(String visualAppId) {
        this.visualAppId.set(visualAppId);
    }
}