/*
 * Copyright (C), 2015-2019
 * FileName: URLAliasBridge
 * Author:   Louis
 * Date:     2019/8/17 22:21
 * Description: URLAliasBridge
 * History:
 * <author>          <time>          <version>          <desc>
 */
package com.fr.plugin.tabledataservice.request;

import com.fanruan.api.i18n.I18nKit;
import com.fanruan.api.log.LogKit;
import com.fr.decision.fun.impl.AbstractURLAliasProvider;
import com.fr.decision.webservice.url.alias.URLAlias;
import com.fr.decision.webservice.url.alias.URLAliasFactory;
import com.fr.plugin.context.PluginContexts;
import com.fr.plugin.tabledataservice.Constants;
import com.fr.stable.fun.Authorize;

/**
 * 〈Function Description〉<br>
 * 〈URLAliasBridge〉
 *
 * @author Louis
 * @since 1.0.0
 */
@Authorize(callSignKey = Constants.PLUGIN_ID)
public class URLAliasBridge extends AbstractURLAliasProvider {
    @Override
    public URLAlias[] registerAlias() {
        if (PluginContexts.currentContext().isAvailable()) {
            return new URLAlias[]{
                    URLAliasFactory.createPluginAlias("/api/data", "/api/data", true),
                    URLAliasFactory.createPluginAlias("/api/report", "/api/report", true),
            };
        } else {
            LogKit.error(I18nKit.getLocText("Plugin-tabledataservice_Licence_Expired"));
            return new URLAlias[]{};
        }
    }
}