/*
 * Copyright (C), 2015-2019
 * FileName: JSONExtensionButton
 * Author:   Louis
 * Date:     2019/8/28 17:16
 * Description: JSONExtensionButton
 * History:
 * <author>          <time>          <version>          <desc>
 */
package com.fr.plugin.tabledataservice.toolbar;

import com.fr.form.ui.WebContentUtils;
import com.fr.form.ui.Widget;
import com.fr.js.JavaScriptImpl;
import com.fr.locale.InterProviderFactory;
import com.fr.plugin.tabledataservice.utils.FuncUtils;
import com.fr.report.fun.impl.AbstractExtensionButton;
import com.fr.stable.web.Repository;

/**
 * 〈Function Description〉<br> 
 * 〈JSONExtensionButton〉
 *
 * @author Louis
 * @since 1.0.0
 */
public class JSONExtensionButton extends AbstractExtensionButton {
    public JSONExtensionButton() {
        super(InterProviderFactory.getProvider().getLocText("Plugin-tabledataservice_Export"), FuncUtils.loadIcon());
    }

    public JSONExtensionButton(String text) {
        super(text);
    }

    public JSONExtensionButton(String text, String iconName) {
        super(text, iconName);
    }

    @Override
    public Class<? extends Widget> classForDirectoryButton() {
        return this.getClass();
    }

    @Override
    public String getParentDirectory() {
        return null;
    }

    @Override
    public String getType() {
        return "JSONExport.class";
    }

    @Override
    public String getRelatedCheckBoxTitle() {
        return null;
    }

    @Override
    public boolean isSelected() {
        return false;
    }

    @Override
    public void setSelected(boolean b) {

    }

    @Override
    protected JavaScriptImpl clickAction(Repository repository) {
        return new JavaScriptImpl(WebContentUtils.getContentPanel(repository) + ".exportReportToJSON()");
    }
}