/*
 * Copyright (C), 2015-2019
 * FileName: JavaScriptFile
 * Author:   Louis
 * Date:     2019/8/29 16:33
 * Description: JavaScriptFile
 * History:
 * <author>          <time>          <version>          <desc>
 */
package com.fr.plugin.tabledataservice.web;

import com.fanruan.api.i18n.I18nKit;
import com.fanruan.api.log.LogKit;
import com.fr.plugin.context.PluginContexts;
import com.fr.plugin.tabledataservice.Constants;
import com.fr.stable.fun.Authorize;
import com.fr.stable.fun.impl.AbstractJavaScriptFileHandler;

/**
 * 〈Function Description〉<br>
 * 〈JavaScriptFile〉
 *
 * @author Louis
 * @since 1.0.0
 */
@Authorize(callSignKey = Constants.PLUGIN_ID)
public class JavaScriptFile extends AbstractJavaScriptFileHandler {
    @Override
    public String[] pathsForFiles() {
        if (PluginContexts.currentContext().isAvailable()) {
            return new String[]{
                    "/com/fr/plugin/tabledataservice/web/JSONExporter.js"
            };
        } else {
            LogKit.error(I18nKit.getLocText("Plugin-tabledataservice_Licence_Expired"));
            return new String[]{};
        }
    }
}